Bug 1568460 - [UPDATE] after update to rhel 7.5 (and rerun site-docker.yml), tempest fails on volume create
Summary: [UPDATE] after update to rhel 7.5 (and rerun site-docker.yml), tempest fails ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 14:37 UTC by Raviv Bar-Tal
Modified: 2018-12-14 13:23 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-14 13:23:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
ceph sosreport (12.11 MB, application/x-xz)
2018-04-17 14:37 UTC, Raviv Bar-Tal
no flags Details
tempest results (125.33 KB, text/html)
2018-04-17 14:40 UTC, Raviv Bar-Tal
no flags Details
tempest results (xml) (108.47 KB, text/plain)
2018-04-17 14:43 UTC, Raviv Bar-Tal
no flags Details
ceph logs (6.92 MB, application/x-gzip)
2018-08-26 14:46 UTC, Raviv Bar-Tal
no flags Details
compute logs (8.47 MB, application/x-gzip)
2018-08-26 14:46 UTC, Raviv Bar-Tal
no flags Details

Description Raviv Bar-Tal 2018-04-17 14:37:16 UTC
Created attachment 1423067 [details]
ceph sosreport

Description of problem:
After updating osp12 GA to latest (2018-04-04) tempest test fails to create volume

Version-Release number of selected component (if applicable):
python-cinder-11.1.0-1.el7ost.noarch
python-cinderclient-3.1.0-1.el7ost.noarch
openstack-cinder-11.1.0-1.el7ost.noarch
puppet-cinder-11.5.0-3.el7ost.noarch
eph-selinux-10.2.10-17.el7cp.x86_64
ceph-mon-10.2.10-17.el7cp.x86_64
puppet-ceph-2.4.2-1.el7ost.noarch
collectd-ceph-5.7.2-1.1.el7ost.x86_64
ceph-radosgw-10.2.10-17.el7cp.x86_64
libcephfs1-10.2.10-17.el7cp.x86_64
ceph-common-10.2.10-17.el7cp.x86_64
python-cephfs-10.2.10-17.el7cp.x86_64
ceph-mds-10.2.10-17.el7cp.x86_64
ceph-base-10.2.10-17.el7cp.x86_64


How reproducible:


Steps to Reproduce:
1. Install osp12 (rhel 7.4)
2. update cloud to latest with rhel 7.5 (2018-04-04)
3. Run tempest 'sanity' test

Actual results:


Expected results:


Additional info:

Comment 1 Raviv Bar-Tal 2018-04-17 14:40:46 UTC
Created attachment 1423071 [details]
tempest results

Comment 2 Raviv Bar-Tal 2018-04-17 14:43:38 UTC
Created attachment 1423072 [details]
tempest results (xml)

Comment 3 Raviv Bar-Tal 2018-04-17 15:14:03 UTC
This problem occurred before rebooting the ceph nodes.
After rebooting ceph nodes tempest tests pass.

Comment 6 Sébastien Han 2018-05-18 12:54:26 UTC
Wrong component?
Why is this a bug on ceph-ansible?


Can we get some clarification on this?
Thanks.

Comment 7 Giulio Fidente 2018-05-30 13:50:42 UTC
Raviv, are you able to reproduce this bug consistently?

My understanding is that on an attempt to upgrade rhel using director, the ceph update (which is running site-docker.yml.sample against the cluster created on the initial deployment) succeeded *but* cinder was unable to create new volumes. Is this correct?

If so, can you attach the /var/log/mistral logs from the undercloud? Yogev, are we able to reproduce this test?

Comment 8 Giulio Fidente 2018-06-06 13:31:23 UTC
It might also be useful to collect cinder-volume logs, which probably have hints about why volume creation is failing... cause this probably is not a ceph-ansible issue.

Comment 11 Raviv Bar-Tal 2018-08-26 14:46:07 UTC
Created attachment 1478797 [details]
ceph logs

Comment 12 Raviv Bar-Tal 2018-08-26 14:46:56 UTC
Created attachment 1478798 [details]
compute logs


Note You need to log in before you can comment on or make changes to this bug.